Loading...
Searching...
No Matches
halide_c_type_to_name< T > Struct Template Reference

halide_c_type_to_name is a utility class used to provide a user-extensible way of naming Handle types. More...

`#include <Type.h>`

## Static Public Member Functions

static halide_cplusplus_type_name | name ()

## Static Public Attributes

static constexpr bool | known_type = false

## Detailed Description

template<typename T>
struct halide_c_type_to_name< T >

halide_c_type_to_name is a utility class used to provide a user-extensible way of naming Handle types.

Although this is in the global namespace, it should be considered "Halide Internal" and subject to change; code outside Halide should avoid referencing it directly (use the HALIDE_DECLARE_EXTERN_xxx macros instead).

Definition at line 134 of file Type.h.

## Member Function Documentation

## name()

template<typename T>

halide_cplusplus_type_name halide_c_type_to_name< T >::name | ( |  | ) |

inline static

Definition at line 136 of file Type.h.

References halide_cplusplus_type_name::Simple.

Referenced by halide_handle_cplusplus_type::make().

## Member Data Documentation

## known_type

template<typename T>

bool halide_c_type_to_name< T >::known_type = false

static constexpr

Definition at line 135 of file Type.h.

Referenced by halide_handle_cplusplus_type::make().

The documentation for this struct was generated from the following file:

- src/Type.h